%define name silc-server
%define version 1.1
%define release %mkrel 1

Summary:	Server for the secure Internet Live Conferencing (SILC) protocol
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source:		ftp://ftp.silcnet.org/silc/server/sources/%{name}-%{version}.tar.bz2
License:	GPL
Group:		Networking/Chat
URL:		http://www.silcnet.org/
Requires:	silc-client
BuildRequires:  ncurses-devel >= 5.2
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
SILC (Secure Internet Live Conferencing) is a protocol which provides
secure conferencing services on the Internet over insecure channel.
SILC is IRC-like software although internally they are very different.
The biggest similarity between SILC and IRC is that they both provide
conferencing services and that SILC has almost the same commands as IRC.
Other than that they are nothing alike.  Major differences are that SILC
is secure what IRC is not in any way.  The network model is also entirely
different compared to IRC.

%define _silcdatadir %{_datadir}/silc
%define _silclibdir %{_libdir}/silc
%define _silcetcdir %{_sysconfdir}/silc

%prep

%setup -q -n %{name}-%{version}

chmod 644 CHANGES COPYING CREDITS README TODO doc/FAQ
#chmod 644 doc/example_silcd.conf doc/silcalgs.conf doc/*.txt

%build
%configure2_5x --with-etcdir=%{_silcetcdir} \
--with-helpdir=%{_silcdatadir}/help --with-logsdir=%{_var}/log/silc \
--mandir=%{_mandir} --with-simdir=%{_silclibdir}/modules \
--libdir=%{_silclibdir} \
--enable-ipv6 --disable-debug \
--with-silcd-pid-file=%{_var}/run/silcd.pid \
--with-perl=module \
--with-perl-lib=vendor 

# Set the built-in default perl module dir
# We don't care even if it doesn't exist yet
CC=$RPM_OPT_FLAGS make 

%install
rm -rf "$RPM_BUILD_ROOT"

make install DESTDIR="$RPM_BUILD_ROOT" PREFIX="$RPM_BUILD_ROOT/usr" 

#install -m 644 -D doc/example_silcd.conf $RPM_BUILD_ROOT/%{_sysconfdir}/silc/silcd.conf

# creat log files
touch $RPM_BUILD_ROOT/var/log/silc/silcd_fatals.log
touch $RPM_BUILD_ROOT/var/log/silc/silcd_errors.log
touch $RPM_BUILD_ROOT/var/log/silc/silcd_warnings.log
touch $RPM_BUILD_ROOT/var/log/silc/silcd.log

# delete unwanted files since rpmbuild failed if unpackaged
rm -fr $RPM_BUILD_ROOT%{_prefix}/doc
rm -rf $RPM_BUILD_ROOT%_prefix/libsilc*
# delete libraries and modules (same as libsilclient)
rm -rf $RPM_BUILD_ROOT/%{_sysconfdir}/silcalgs.conf
rm -rf $RPM_BUILD_ROOT%_libdir/
# remove private keys files (generate it with silcd -C)
rm -rf $RPM_BUILD_ROOT/%{_sysconfdir}/silc/silcd.prv
rm -rf $RPM_BUILD_ROOT/%{_sysconfdir}/silc/silcd.pub

## Need to do a silc-common package for client & server

%post
echo "Post-install : generate keys"

/usr/sbin/silcd -C /etc
chmod 600 /etc/silc/silcd.prv

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%doc CHANGES COPYING CREDITS README TODO doc/FAQ
%_sbindir/*
%config(noreplace) %_sysconfdir/*.conf
%_mandir/man5/*
%_mandir/man8/*
%_logdir/silc/*


%changelog
* Wed Nov 21 2007 Funda Wang <fundawang@mandriva.org> 1.1-1mdv2008.1
+ Revision: 110968
- New version 1.1

* Wed Jun 20 2007 Funda Wang <fundawang@mandriva.org> 1.0.4-1mdv2008.0
+ Revision: 41762
- New upstream version


* Thu Apr 28 2005 Tibor Pittich <Tibor.Pittich@mandriva.org> 0.9.20-1mdk
- 0.9.20
  - http://www.silcnet.org/docs/release/SILC%%20Server%%200.9.20
- use %%mkrel

* Tue Apr 19 2005 Tibor Pittich <Tibor.Pittich@mandriva.org> 0.9.19p1-1mdk
- 0.9.19p1
- temporary real_ver variable

* Fri Apr 02 2004 Tibor Pittich <Tibor.Pittich@mandrake.org> 0.9.18-1mdk
- 0.9.18

* Sun Feb 29 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.9.17-1mdk
- 0.9.17
- disable shared otherwise it requires 1.0.2 libsilc (deleted in install)

* Sun Jan 04 2004 Tibor Pittich <Tibor.Pittich@mandrake.org> 0.9.16-1mdk
- new version
    - http://www.silcnet.org/docs/changelog/SILC%%20Server%%200.9.16

* Fri Oct 31 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 0.9.15-1mdk
- new version

* Thu Oct 16 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 0.9.14-1mdk
- new version
- add libdir parameter to configure
- remove man pages voodoo :)

* Thu Sep 25 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.9.13.1-0.1mdk
- 0.9.13.1
- based on silc-client spec.

